Page MenuHomePhabricator

Botwiki currently/permanently(?) not available
Closed, ResolvedPublic

Description

I don't know if botwiki is only temporarily not available or if it has been shutdown completely but our tests currently fail because it can't detect the wiki:

======================================================================
FAIL: test_detect_site (tests.site_detect_tests.SiteDetectionTestCase)
Test detection of MediaWiki sites.
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/home/travis/build/xZise/pywikibot-core/tests/site_detect_tests.py", line 184, in test_detect_site
    self.assertAllPass()
  File "/home/travis/build/xZise/pywikibot-core/tests/site_detect_tests.py", line 115, in assertAllPass
    self.assertEqual(set(self.passes), set(self.all) - set(self.skips))
AssertionError: Items in the second set but not the first:
'http://botwiki.sno.cc/wiki/$1'

The traceback is from this test and this is the location it fails.

Details

Related Gerrit Patches:

Event Timeline

XZise created this task.Oct 17 2015, 5:47 PM
XZise raised the priority of this task from to High.
XZise updated the task description. (Show Details)
XZise added projects: Pywikibot, Pywikibot-tests.
XZise added a subscriber: XZise.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptOct 17 2015, 5:47 PM
XZise added a comment.Oct 17 2015, 5:48 PM

This does actually prevent T85786 at the moment.

XZise closed this task as Invalid.Oct 20 2015, 1:58 PM
XZise claimed this task.

The site is now available again.

My apologies, the wiki is back online.

jayvdb reopened this task as Open.Mar 6 2016, 5:56 AM
jayvdb added a subscriber: jayvdb.

Website is now reporting

The website you were trying to reach is temporarily unavailable.
Please check back soon.
If you are the owner of this website, please contact Technical Support as soon as possible.

@Snowolf , we dont depend on this site. Dont feel like you need to bring it back online because of this ticket -- we can easily remove it from our test suite without any adverse effects.

Xqt added a subscriber: Xqt.Mar 9 2016, 12:18 PM

We should remove botwiki from test suite. I only get a landing page from web hosting provider.

Change 276161 had a related patch set uploaded (by Xqt):
[Test] Remove botwiki from test suite

https://gerrit.wikimedia.org/r/276161

Change 276161 merged by jenkins-bot:
[Test] Remove botwiki from test suite

https://gerrit.wikimedia.org/r/276161

Xqt closed this task as Resolved.Mar 9 2016, 3:43 PM
Xqt claimed this task.Mar 9 2016, 4:59 PM